Overview | Module | Use | Devguide | Index

Values | Values' Details

:: com :: sun :: star :: uno ::
enum TypeClass
Description This enum describes all type classes of UNO. Every specific type has a type class specifying the general context of the reflected type. Example: A type reflecting the interface XInterface is of type class INTERFACE and its name is "com.sun.star.uno.XInterface". Developers Guide ProUNO - Data Types

Values
VOID | reflecting the void type; denotes no type
CHAR | reflecting the 16-bit unicode character type
BOOLEAN | reflecting the boolean type; true and false
BYTE | reflecting the 8-bit ordinal type
SHORT | reflecting the signed 16-bit ordinal type
UNSIGNED_SHORT | reflecting the unsigned 16-bit ordinal type
LONG | reflecting the signed 32-bit ordinal type
UNSIGNED_LONG | reflecting the unsigned 32-bit type
HYPER | reflecting the signed 64-bit ordinal type
UNSIGNED_HYPER | reflecting the unsigned 64-bit ordinal type
FLOAT | reflecting the 32-bit floating point type
DOUBLE | reflecting the 64-bit floating point type
STRING | reflecting the string type; strings of unicode characters
TYPE | reflecting the meta type
ANY | reflecting the any type; anys can carry any UNO value except of any values
ENUM | reflecting enum types
TYPEDEF | reflecting typedefed types referencing other types
STRUCT | reflecting compound types
UNION | reflecting union types
EXCEPTION | reflecting exception types
SEQUENCE | reflecting sequence types
ARRAY | reflecting array types
INTERFACE | reflecting interface types
SERVICE | reflecting services
MODULE | reflecting modules
INTERFACE_METHOD | reflecting interface methods
INTERFACE_ATTRIBUTE | reflecting interface attributes
UNKNOWN | reflecting the unreflectable type
PROPERTY | reflecting properties
CONSTANT | reflecting constants
CONSTANTS | reflecting constants groups
SINGLETON | reflecting singletons

Values' Details
VOID
VOID, Description reflecting the void type; denotes no type
CHAR
CHAR, Description reflecting the 16-bit unicode character type
BOOLEAN
BOOLEAN, Description reflecting the boolean type; true and false
BYTE
BYTE, Description reflecting the 8-bit ordinal type
SHORT
SHORT, Description reflecting the signed 16-bit ordinal type
UNSIGNED_SHORT
UNSIGNED_SHORT, Description reflecting the unsigned 16-bit ordinal type
LONG
LONG, Description reflecting the signed 32-bit ordinal type
UNSIGNED_LONG
UNSIGNED_LONG, Description reflecting the unsigned 32-bit type
HYPER
HYPER, Description reflecting the signed 64-bit ordinal type
UNSIGNED_HYPER
UNSIGNED_HYPER, Description reflecting the unsigned 64-bit ordinal type
FLOAT
FLOAT, Description reflecting the 32-bit floating point type
DOUBLE
DOUBLE, Description reflecting the 64-bit floating point type
STRING
STRING, Description reflecting the string type; strings of unicode characters
TYPE
TYPE, Description reflecting the meta type
ANY
ANY, Description reflecting the any type; anys can carry any UNO value except of any values
ENUM
ENUM, Description reflecting enum types
TYPEDEF
TYPEDEF, Description reflecting typedefed types referencing other types
STRUCT
STRUCT, Description reflecting compound types
UNION
UNION, Description reflecting union types
EXCEPTION
EXCEPTION, Description reflecting exception types
SEQUENCE
SEQUENCE, Description reflecting sequence types
ARRAY
ARRAY, Description reflecting array types
INTERFACE
INTERFACE, Description reflecting interface types
SERVICE
SERVICE, Description reflecting services
MODULE
MODULE, Description reflecting modules
INTERFACE_METHOD
INTERFACE_METHOD, Description reflecting interface methods
INTERFACE_ATTRIBUTE
INTERFACE_ATTRIBUTE, Description reflecting interface attributes
UNKNOWN
UNKNOWN, Description reflecting the unreflectable type
PROPERTY
PROPERTY, Description reflecting properties
CONSTANT
CONSTANT, Description reflecting constants
CONSTANTS
CONSTANTS, Description reflecting constants groups
SINGLETON
SINGLETON, Description reflecting singletons

Top of Page

Copyright © 2000, 2013 LibreOffice contributors and/or their affiliates. All rights reserved.

LibreOffice was created by The Document Foundation, based on OpenOffice.org, which is Copyright 2000, 2010 Oracle and/or its affiliates.

The Document Foundation acknowledges all community members, please find more info at our website.

Privacy Policy | Impressum (Legal Info) | Copyright information: The source code of LibreOffice is licensed under the GNU Lesser General Public License (LGPLv3). "LibreOffice" and "The Document Foundation" are registered trademarks of their corresponding registered owners or are in actual use as trademarks in one or more countries. Their respective logos and icons are also subject to international copyright laws. Use thereof is explained in our trademark policy.